Discover X, Y, Z coordinates of a Point

Hello,

I would like to know if there is a way to extract X, Y, Z coordinates from a Point.
In particular way, the point of my code is generated from an intersection between two known curves (spline and arc).

Dim intersection_point As NXOpen.Point
intersection_point = workPart.Points.CreatePoint(spline, arc, nullNXOpen_Point, nullNXOpen_Point, NXOpen.SmartObject.UpdateOption.WithinModeling)
intersection_point.SetVisibility(NXOpen.SmartObject.VisibilityOption.Visible)

My goal is to discover at least the X coordinate of this intersection point to be able to create a new point which is mirrored with respect to the X axis.

Any help is much appreciated.
Regards,

kalo86

Point objects have a .Coordinates property from which you can get the X, Y, Z location in space.

msgbox(intersection_point.Coordinates.X.tostring, "Point X")

Similarly, you can get the Y and Z coordinates.

Thank You!
Soon I will test this function, thanks again!
Regards,
kalo86